Linux服务器---apache支持php

  1. 云栖社区>
  2. 博客>
  3. 正文

Linux服务器---apache支持php

一生有你llx 2018-11-24 17:46:17 浏览536
展开阅读全文
[b]apache支持php[/b]
      php是最好用的服务器语言了,Apache对php有很强大的支持

1、检测是否安装php,如果什么信息也没有,那么你就要自己安装php了
      [root@localhost ~]# [b]rpm -qa | grep php[/b]

2、安装php,在终端输入命令“yum install –y php”
      [root@localhost ~]# [b]yum install -y php[/b]
      Loaded plugins: fastestmirror, refresh-packagekit, security
      Loading mirror speeds from cached hostfile                                              
      Dependency Installed:
        php-cli.i686 0:5.3.3-26.el6           php-common.i686 0:5.3.3-26.el6          
      Complete!
      [root@localhost ~]# 

3、再次检测,看是否安装。看到如下信息就证明安装成功了。
      [root@localhost ~]#[b] rpm -qa | grep php[/b]
      php-cli-5.3.3-26.el6.i686
      php-5.3.3-26.el6.i686
      php-common-5.3.3-26.el6.i686
      [root@localhost ~]# 

4、重新启动Apache服务
      [root@localhost ~]# [b]service httpd restart[/b]
      停止 httpd:                                               [确定]
      正在启动 httpd:httpd: Could not reliably determine the server's fully qualified domain name, using localhost.localdomain for ServerName
                                                           [确定]
      [root@localhost ~]# 

5、测试php。在“/var/www/html/”目录下创建一个test.php文件。然后在浏览器输入“127.0.0.1/test.php”
      [root@localhost ~]# [b]cd /var/www/html/[/b]
      [root@localhost html]# [b]touch test.php[/b]
      [root@localhost html]# [b]gedit test.php[/b]
      <?php
      echo "hello php";
      ?>
      可以在浏览器看到以下结果
      [img=https://img-bbs.csdn.net/upload/201811/21/1542791269_10670.png][/img]


6、安装gd库,支持php图形验证码。在终端输入命令“yum install -y php-gd”
      [root@localhost ~]# [b]yum install -y php-gd[/b]
      Loaded plugins: fastestmirror, refresh-packagekit, security
      Loading mirror speeds from cached hostfile
      ============================================================================
       Package                      Arch                       Version                            Repository                  Size
      ============================================================================
      Installing:
       php-gd                       i686                       5.3.3-26.el6                       base                       105 k
      Installing for dependencies:
       libXpm                       i686                       3.5.10-2.el6                       base                        50 k                                                                                         
      Dependency Installed:
        libXpm.i686 0:3.5.10-2.el6                                                                                                 
      Complete!
      [root@localhost ~]# [b]rpm -qa | grep php-gd[/b]
      php-gd-5.3.3-26.el6.i686
      [root@localhost ~]# 

网友评论

登录后评论
0/500
评论
一生有你llx
+ 关注